shevek::avahi::browser Class Reference

Class for browsing other hosts. More...

`#include <avahi.hh>`

Inheritance diagram for shevek::avahi::browser:

## Classes

struct | details
| Details about a discovered service. These are internally created and may be examined by the application. More...
struct | owner
| Information about a discovered server. More...

## Public Types

typedef std::set< details > | details_list
| Container class for a list of details.
typedef std::map< Glib::ustring, owner > | list
| Container class for a list of owners.

## Public Member Functions

list const & | get_list ()
| Access the list of owners.
sigc::signal1< void, Glib::ustring const & > | signal_changed ()
| Signal to be notified when the list changes.
| ~browser ()
| The destructor cleans everything up.
Public Member Functions inherited from shevek::refbase
template<typename _T >
Glib::RefPtr< _T > | cast_dynamic ()
| Identical to GLib::RefPtr <>::cast_dynamic, but nicer to type.

## Static Public Member Functions

static Glib::RefPtr< browser > | create (Glib::ustring const &protocol)
| Create a browser class without an existing avahi object. Don't use this if you have an avahi object; use avahi::create_browser instead.
static list | get_list_block (Glib::ustring const &protocol, Glib::ustring const &name=Glib::ustring())
| Synchronously get a list of owners. When using this, the servers are not monitored, so you will not be notified of any changes.

## Friends

class | avahi

## Additional Inherited Members

Protected Member Functions inherited from shevek::refbase
| refbase ()
| Constructor, increments reference count.
virtual | ~refbase ()
| Destructor, decrements reference count and destroys the object if it reaches 0.
template<typename T >
Glib::RefPtr< T > | refptr_this ()
| Get a RefPtr to this, protected because only members should need it. More...

## Detailed Description

Class for browsing other hosts.

The documentation for this class was generated from the following file:

- src/avahi.hh